### Constructor

# PapersView JobThumbnailTexture new_with_target_size

#### Declaration [src]

    PpsJob*
    pps_job_thumbnail_texture_new_with_target_size (
      PpsDocument* document,
      gint page,
      gint rotation,
      gint target_width,
      gint target_height
    )

#### Description

No description available.

#### Parameters

`document`

  Type: `PpsDocument`

  No description available.

  The data is owned by the caller of the function.

`page`

  Type: `gint`

  No description available.

`rotation`

  Type: `gint`

  No description available.

`target_width`

  Type: `gint`

  No description available.

`target_height`

  Type: `gint`

  No description available.

#### Return value

Type: `PpsJob`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.